%global     appname google-authenticator
Name:		%{appname}-libpam
Version:	1.05
Release:	1%{?dist}
Epoch:      10
Summary:	One-time passcode support using open standards
Summary(ko): 공개표준을 이용한 일회용 암호 제공 PAM 모듈

Group:		System Environment/Base
License:	ASL 2.0
URL:		https://github.com/google/google-authenticator

# Official patches
Patch0: ga-issue-76-permission-deny.patch
Patch1: ga-issue-none-prevent-integer-overflow.patch
Patch2: ga-issue-104-provision-time.patch

# AnNyung patches
Patch100:		secret-default-path.patch

BuildRequires:	pam-devel libtool
Requires:	pam
Provides:	%{appname}

%description
The Google Authenticator package contains a pluggable authentication
module (PAM) which allows login using one-time passcodes conforming to
the open standards developed by the Initiative for Open Authentication
(OATH) (which is unrelated to OAuth).

These implementations support the HMAC-Based One-time Password (HOTP)
algorithm specified in RFC 4226 and the Time-based One-time Password
(TOTP) algorithm specified in RFC 6238.


%prep
%setup -q -c -T %{name}-%{version}

wget -qO- https://github.com/google/%{name}/archive/%{version}/%{name}-%{version}.tar.gz | \
	tar xvz -C ${RPM_BUILD_DIR}

%patch0 -p1
%patch1 -p1
%patch2 -p1

%patch100 -p1

bash bootstrap.sh

%build
%configure --libdir=/%{_lib}
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm $RPM_BUILD_ROOT/%{_lib}/security/pam_google_authenticator.la

%files
%defattr(-,root,root,-)
/%{_lib}/security/pam_google_authenticator.so
%{_bindir}/%{appname}
%{_defaultdocdir}/%{appname}/README.md
%{_defaultdocdir}/%{appname}/totp.html
%{_defaultdocdir}/%{appname}/FILEFORMAT

%changelog
* Sun Nov  4 2018 JoungKyun.Kim <hostmaster@oops.org> - 10:1.05-1%{?dist}
- update 1.05
- fixed #76 Use `mkstemp()`-generated name for temp secrets file name 
- fixed integer overflow
- fixed #104 Printed next {HOTP,TOTP} at provision time is not usable

* Wed Feb 17 2016 JoungKyun.Kim <http://oops.org> - 10:1.01-1%{?dist}
- changed default secret path to ~/.ssh/google_authenticator

* Wed Jan 13 2016 Dan Molik <dan@d3fy.net> - 1.01
- A new and updated build for google-authenticator
